waf3策列组¶
POST 更新访问控制规则¶
POST /prod-api/waf/wafv3/acl/modifyWebACL
Body 请求参数
{
"aclName": "测试",
"remark": null,
"aclStatus": "DetectionOnly",
"paranoiaLevel": "lenient",
"wafId": "150",
"domainIds": [215, 219]
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | ModifyWebACLVO | 是 | ModifyWebACLVO | - |
返回示例
200 Response
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » additionalProperties | object | false | - | - |
数据模型¶
ModifyWebACLVO
{
"aclName": "string",
"aclStatus": "string",
"domainIds": [0],
"paranoiaLevel": "string",
"remark": "string",
"wafId": 0
}
ModifyWebACLVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| aclName | string | true | - | 策列组名称 | - |
| aclStatus | string | true | - | 策列组状态 | 取值有: On:表示开启; Off:表示关闭; DetectionOnly:表示仅记录。 |
| domainIds | [integer] | true | - | 关联域名ids | - |
| paranoiaLevel | string | true | - | 防护等级 | 取值有: lenient:表示宽松模式; balanced:表示平衡模式; danger:表示严格模式。 |
| remark | string | false | - | 备注 | - |
| wafId | integer(int64) | true | - | 策列组id | - |